﻿using System;
using Xamarin.Forms;
using System.Diagnostics;

namespace Bring
{
	public class App : Application
	{
		static public IClipboard _clipboard { get; set; }
		static public bool[] _bring = new bool[32];
		static public bool[] _bring32 = new bool[32];
		static public UInt32 _bringUInt = 0;
		static public string BRING_DATA_FILE = "BringDataUInt.txt";
		static public string[] _bringItem = {
			"牛乳",
			"ジュース",
			"お米",
			"牛肉",
			"豚肉",
			"鶏肉",
			"ミンチ",
			"ハム",
			"ウィンナー",
			"シャケ",
			"秋刀魚",
			"サバ",
			"鯛",
			"たまご",
			"じゃがいも",
			"人参",
			"トマト",
			"キャベツ",
			"きゅうり",
			"レタス",
			"玉ねぎ",
			"ネギ",
			"豆腐",
			"コンニャク",
			"バナナ",
			"みかん",
			"りんご",
			"油",
			"焼肉のタレ",
			"食パン",
			"バター",
			"ヨーグルト",
		};

		public App()
		{
			for (var i = 0; i < 32; i++)
			{
				_bring[i] = false;
				_bring32[i] = false;
			}

			MainPage = new NavigationPage(new BringListPage()
			{
				Title = "お使いリスト"
			});
		}

		protected override void OnStart()
		{
			// Handle when your app starts
		}

		protected override void OnSleep()
		{
			// Handle when your app sleeps
		}

		protected override void OnResume()
		{
			// Handle when your app resumes
		}
	}
}

